#!/bin/sh

VERSION="0.06"
VERSION_FILE='Version.java'

BUILD_NO=`grep "InfoBuildNo=" $VERSION_FILE |cut -f2 -d '=' |sed -e 's/;//'`
BUILD_NO=`expr $BUILD_NO + 1`
BUILD_DATE=`date +%x`

echo "
public class Version
{
	final static int InfoBuildNo=$BUILD_NO;
	final static String InfoVersion=\"$VERSION\";
	final static String InfoBuildDate=\"$BUILD_DATE\";
}" > $VERSION_FILE
